<?php

/**
 *
 * INDEXU
 * Copyright(C), Nicecoder, 2000-2006, All Rights Reserved.
 *
 * INDEXU(tm) is protected by Indonesia and International copyright laws.
 * Unauthorized use or distribution of INDEXU(tm) is strictly prohibited,
 * violators will be prosecuted. To obtain a license for using INDEXU(tm),
 * please register at Nicecoder home page at http://www.nicecoder.com
 *
 * Author:
 *    Dody Rachmat Wicaksono (dody@nicecoder.com)
 *    M. Zuber (zubby@nicecoder.com)
 *
 */

  /*===================================================
    ViewSubscriber()
  ===================================================*/

  function ViewSubscriber() {

    // vars global configuration
    global $dbConn, $category_separator, $admin_template_path;

    // vars url & form
    global $cat, $pg_which;

    // vars messages
    global $msg;

    // vars template
    global $subscriber_list, $total;
    
    $ml_obj = new clsMailingList;
    $ml_obj->table_name = "idx_mailing_list";
    $ml_obj->message_table_name = "idx_message";
    $ml_obj->template_file = $admin_template_path . "message_subscriber_rows.html";
    
    $subscriber_list = $ml_obj->ViewSubscriber();
    $total = $ml_obj->num_rows; 

    DisplayTemplate($admin_template_path . "message_subscriber.html",
      "\$subscriber_list,\$total");
  }


  /*===================================================
    main
  ===================================================*/

  include "../application.php";

  RunPreFilter(__FILE__);

  DisplayTemplate($admin_template_path . "header.html");
  ViewSubscriber();
  DisplayTemplate($admin_template_path . "footer.html");

  RunPostFilter(__FILE__);

?>